Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.joseki
Class HttpException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.joseki.JosekiException
                      com.hp.hpl.jena.joseki.HttpException

All Implemented Interfaces:
  java.io.Serializable

public class HttpException
extends JosekiException

Exception class for all operations in the Joseki client library. Error codes are as HTTP statsus codes.

Version:
  $Id: HttpException.java,v 1.4 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne
See Also:
  Serialized Form

Field Summary
`static int` | `noResponseCode`
`static int` | `NoServer`

Constructor Summary
`HttpException(int responseCode)` Constructor for HttpException.
`HttpException(int responseCode, java.lang.String responseMessage)` Constructor for HttpException.
`HttpException(java.lang.String msg, java.lang.Throwable cause)`
`HttpException(java.lang.Throwable cause)` Constructor for HttpException used for some unexpected execution error.

Method Summary
`int` | `getResponseCode()` The code for the reason for this exception
`java.lang.String` | `getResponseMessage()` The messge for the reason for this exception
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### noResponseCode

    public static final int noResponseCode

See Also:
  Constant Field Values

### NoServer

    public static final int NoServer

See Also:
  Constant Field Values

Constructor Detail

### HttpException

    public HttpException(int responseCode,
                         java.lang.String responseMessage)

  Constructor for HttpException.

Parameters:
  `responseCode` -
  `responseMessage` -

### HttpException

    public HttpException(int responseCode)

  Constructor for HttpException.

Parameters:
  `responseCode` -

### HttpException

    public HttpException(java.lang.Throwable cause)

  Constructor for HttpException used for some unexpected execution error.

Parameters:
  `cause` -

### HttpException

    public HttpException(java.lang.String msg,
                         java.lang.Throwable cause)

Method Detail

### getResponseCode

    public int getResponseCode()

  The code for the reason for this exception

  Returns:
    responseCode

### getResponseMessage

    public java.lang.String getResponseMessage()

  The messge for the reason for this exception

  Returns:
    message

### toString

    public java.lang.String toString()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2003, 2004 Hewlett-Packard Development Company, LP